summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDonnie Berkholz <spyderous@gentoo.org>2006-06-30 16:21:38 +0000
committerDonnie Berkholz <spyderous@gentoo.org>2006-06-30 16:21:38 +0000
commitdf3241fe0b707911a267a65849e2f1439337f79b (patch)
tree0df792e385b3617e780dc069b70c8d14619e1835 /eclass
parentChanged description to warn about name-similarity to vdradmin. (diff)
downloadgentoo-2-df3241fe0b707911a267a65849e2f1439337f79b.tar.gz
gentoo-2-df3241fe0b707911a267a65849e2f1439337f79b.tar.bz2
gentoo-2-df3241fe0b707911a267a65849e2f1439337f79b.zip
(#138580) Make drivers only require USE=xorg on xorg-server versions >=1.1, so they actually have IUSE=xorg.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/x-modular.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index 8f927d742e71..00b2ebced9bf 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.65 2006/06/30 07:55:53 spyderous Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.66 2006/06/30 16:21:38 spyderous Exp $
#
# Author: Donnie Berkholz <spyderous@gentoo.org>
#
@@ -200,9 +200,11 @@ x-modular_server_supports_drivers_check() {
# (#135873) Only certain servers will actually use or be capable of
# building external drivers, including binary drivers.
if [[ -n "${DRIVER}" ]]; then
- if ! built_with_use x11-base/xorg-server xorg; then
- eerror "x11-base/xorg-server is not built with support for external drivers."
- die "You must build x11-base/xorg-server with USE=xorg."
+ if has_version >=x11-base/xorg-server-1.1; then
+ if ! built_with_use x11-base/xorg-server xorg; then
+ eerror "x11-base/xorg-server is not built with support for external drivers."
+ die "You must build x11-base/xorg-server with USE=xorg."
+ fi
fi
fi
}